<?php
/************************************************************************
 * MXChange v0.2.1                                    Start: 04/24/2004 *
 * ================                             Last change: 05/02/2004 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : ext-repair.php                                   *
 * -------------------------------------------------------------------- *
 * Short description : Repair extension                                 *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Reperatur-Erweiterung                            *
 * -------------------------------------------------------------------- *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2008 by Roland Haeder                           *
 * For more information visit: http://www.mxchange.org                  *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if (ereg(basename(__FILE__), $_SERVER['PHP_SELF']))
{
	$INC = substr(dirname(__FILE__), 0, strpos(dirname(__FILE__), "/inc") + 4) . "/security.php";
	require($INC);
}

// Version number
$EXT_VERSION = "0.1.5";

// Auto-set extension version
if (empty($EXT_VER)) $EXT_VER = $EXT_VERSION;

// Version history array (add more with , "0.1" and so on)
$EXT_VER_HISTORY = array("0.0", "0.1", "0.1.1", "0.1.2", "0.1.3", "0.1.4", "0.1.5");

switch ($EXT_LOAD_MODE)
{
case "register": // Do stuff when installtion is running (modules.php?module=admin&action=login is called)
	// SQL commands to run
	$SQLs[] = "INSERT INTO "._MYSQL_PREFIX."_admin_menu (action, what, title, sort, descr) VALUES ('repair', '', 'Reperaturen', '7', 'Repariert u.a. die Kategorie-Auswahlen der Mitglieder usw.')";
	$SQLs[] = "INSERT INTO "._MYSQL_PREFIX."_admin_menu (action, what, title, sort, descr) VALUES ('repair', 'repair_cats', 'Kategorieauswahlen', '1', 'Repariert die Kategorieauswahlen Ihrer Mitglieder.')";
	break;

case "remove": // Do stuff when removing extension
	// SQL commands to run
	$SQLs[] = "DELETE LOW_PRIORITY FROM "._MYSQL_PREFIX."_admin_menu WHERE action='repair' LIMIT 5";
	break;

case "activate": // Do stuff when admin activates this extension
	// SQL commands to run
	$SQLs[] = "";
	break;

case "deactivate": // Do stuff when admin deactivates this extension
	// SQL commands to run
	$SQLs[] = "";
	break;

case "update": // Update an extension
	switch ($EXT_VER)
	{
	case "0.1": // SQL queries for v0.1
		$SQLs[] = "INSERT INTO "._MYSQL_PREFIX."_admin_menu (action, what, title, sort, descr) VALUES ('repair', 'repair_amenu', 'Admin-Men&uuml;', 2, 'Repariert die Gewichtung des Admin-Men&uuml;-Systems')";
		$SQLs[] = "INSERT INTO "._MYSQL_PREFIX."_admin_menu (action, what, title, sort, descr) VALUES ('repair', 'repair_gmenu', 'Gast-Men&uuml;', 3, 'Repariert die Gewichtung des G&auml;ste-Men&uuml;-Systems')";
		$SQLs[] = "INSERT INTO "._MYSQL_PREFIX."_admin_menu (action, what, title, sort, descr) VALUES ('repair', 'repair_mmenu', 'Mitglied-Men&uuml;', 4, 'Repariert die Gewichtung des Mitglieder-Men&uuml;-Systems')";

		// Update notes (these will be set as task text!)
		$UPDATE_NOTES = "F&uuml;gt ein Men&uuml;punkt zur Reperatur der Gewichtung des Admin-Men&uuml;s hinzu.";
		break;

	case "0.1.1": // SQL queries for v0.1.1
		// Update notes (these will be set as task text!)
		$UPDATE_NOTES = "Dummy-Release im Intranet??? Hmmmm....";
		break;

	case "0.1.2": // SQL queries for v0.1.2
		// Update notes (these will be set as task text!)
		$UPDATE_NOTES = "Seit <A href=\"".SERVER_URL."/patches/340-Gast_Mitgliedsmenue_Deaktivieren.zip\">Patch 340</A> &uuml;berfl&uuml;ssige HTML-Tags entfernt.";
		break;

	case "0.1.3": // SQL queries for v0.1.3
		$SQLs[] = "UPDATE "._MYSQL_PREFIX."_admin_menu SET what='repair_amnu' WHERE what='repair_amenu' LIMIT 1";
		$SQLs[] = "UPDATE "._MYSQL_PREFIX."_admin_menu SET what='repair_gmnu' WHERE what='repair_gmenu' LIMIT 1";
		$SQLs[] = "UPDATE "._MYSQL_PREFIX."_admin_menu SET what='repair_mmnu' WHERE what='repair_mmenu' LIMIT 1";

		// Update notes (these will be set as task text!)
		$UPDATE_NOTES = "Konflikt mit Men&uuml;-Erweiterung und dieser behoben. Dateien what-repair_*menu.php sind <U>obsulete</U> (veraltet, bitte l&ouml;schen!)";
		break;

	case "0.1.4": // SQL queries for v0.1.4
		// Update notes (these will be set as task text!)
		$UPDATE_NOTES = "HTML-Code ausgelagert in Templates und SQL-Anweisungen abgesichert.";
		break;

	case "0.1.5": // SQL queries for v0.1.5
		// Update notes (these will be set as task text!)
		$UPDATE_NOTES = "Sicherheitsupdate f&uuml;r die Include-Befehle.";
		break;
	}
	break;

default: // Do stuff when extension is loaded
	break;
}
// Language file prefix
$EXT_LANG_PREFIX = "repair";

// Extension is always active?
$EXT_ALWAYS_ACTIVE = "N";

//
?>
